import Utils from '@/utils/utils'
export default {
    // 获取菜单列表
    getMenuList(id) {
       return uni.$u.http.get('/weixin/infoByShop', {
           params:{
              shopId: id
           }
       }).then(res => {
           return res;
       }).catch(err => {
           uni.showToast({title:'服务器错误',icon:'none'})
       })
    },
    // 获取点单屏幕的订单信息
    getScreenShopCar(key) {
        return uni.$u.http.get('/application/getData', {
            params:{
                key: key
            }
        }).then(res => {
            return res;
        }).catch(err => {
           uni.showToast({
               title: '服务器错误',
               icon: 'none'
           });
           return err;
        })
    },
    // 下单获取预支付订单
    saveReserve(data) {
        return uni.$u.http.post('/order', data).then(res => {
           console.log(res,444411111)
           return res;
        }).catch(err => {
            
        })
    },
    // saveReserve 为业务接口
    requestPayment(data, oldData, buyType) {
        // res为调起微信支付所需参数
            // 调起微信支付
            uni.requestPayment({
                provider: 'wxpay', // 服务提提供商微信支付
                timeStamp: data.timeStamp, // 时间戳
                nonceStr: data.nonceStr, // 随机字符串
                package: data.package,
                signType: data.signType || 'MD5', // 签名算法
                paySign: data.paySign, // 签名
                success: function (res) {
                    if (res.errMsg == 'requestPayment:ok'){
                          uni.showToast({
                                title: '支付成功'
                            });
                        if (buyType==1){
                            let shopCarInfo = uni.getStorageSync('shopCarInfo');
                            for (let i = 0; i < oldData.length; i++){
                                let element = oldData[i];
                                for (let y = 0; y < shopCarInfo.length; y++) {
                                    let item = shopCarInfo[y];
                                    if (item.skus[0].skuId === element.skus[0].skuId) {
                                        shopCarInfo.splice(index, 1);
                                    }
                                }
                            }   
                                // 删除购物车数据后重新放回购物车
                                uni.setStorageSync('shopCarInfo', shopCarInfo);
                                $EventBus.$emit('updateCar');
                                uni.navigateTo({
                                    url:'/page/menu/menu'
                                })
                        }
                    }
                  

                    // 业务逻辑。。。
                },
                fail: function (err) {
                    uni.showToast({
                        title:'支付失败',
                        icon:'error'
                    })
                }
            });
    }
}